Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WGrid
Interface WGridListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  WGridAdapter

    public interface WGridListener

extends java.util.EventListener

Grid events.

Method Summary
`void` | `OnActiveRowChanged(DataRowView dr)` Invoked when active row changed.
`boolean` | `OnAddRow(DataRowView dr)` Invoked when grid needs to add new row.
`boolean` | `OnDeleteRow(DataRowView dr)` Invoked when grid needs to delete row.
`void` | `OnMaxMinButtonPressed(boolean maximized)` Invoked when Main Grid View minimize/maximize button pressed.
`void` | `OnRowDoubleClicked(DataRowView dr)` Invoked when row double clicked.
`boolean` | `OnUpdateRow(DataRowView dr)` Invoked when grid needs to update row.
`boolean` | `OnValidateCellValue(Column column, DataRowView dr, java.lang.Object value)` Invoked when grid needs to store cell value.

Method Detail

### OnActiveRowChanged

    void OnActiveRowChanged(DataRowView dr)

  Invoked when active row changed.

  Parameters:
    `dr` - Row what is new active row or null if no active row.

### OnRowDoubleClicked

    void OnRowDoubleClicked(DataRowView dr)

  Invoked when row double clicked.

  Parameters:
    `dr` - Row what double clicked.

### OnAddRow

    boolean OnAddRow(DataRowView dr)

  Invoked when grid needs to add new row.

  Parameters:
    `dr` - Row what to add.
  Returns:
    Return false to cancel this operation.

### OnDeleteRow

    boolean OnDeleteRow(DataRowView dr)

  Invoked when grid needs to delete row.

  Parameters:
    `dr` - Row what to delete.
  Returns:
    Return false to cancel this operation.

### OnUpdateRow

    boolean OnUpdateRow(DataRowView dr)

  Invoked when grid needs to update row.

  Parameters:
    `dr` - Row what to update.
  Returns:
    Return false to cancel this operation.

### OnValidateCellValue

    boolean OnValidateCellValue(Column column,
                                DataRowView dr,
                                java.lang.Object value)

  Invoked when grid needs to store cell value.

  Parameters:
    `column` - Column what value to validate.
    `dr` - DataRow what value to validate.
    `value` - Value to validate.
  Returns:
    Return false to cancel this operation.

### OnMaxMinButtonPressed

    void OnMaxMinButtonPressed(boolean maximized)

  Invoked when Main Grid View minimize/maximize button pressed.

  Parameters:
    `maximized` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD